package Sync

import (
	"fmt"
	"strings"
)

func readYesNoAnswer(defaultAnswer bool) bool { // true := yes
	answer := ``
	if _, scanError := fmt.Scan(&answer); scanError != nil {
		return defaultAnswer
	}

	if answer == `` || answer == ` ` {
		return defaultAnswer
	}

	if strings.ToLower(answer) == `y` {
		return true
	}

	return false
}
